/*-
 * See the file LICENSE for redistribution information.
 *
 * Copyright (c) 2002-2009 Oracle.  All rights reserved.
 *
 * $Id: ProposerStatDefinition.java,v 1.1 2009/09/10 02:50:53 tao Exp $
 */

package com.sleepycat.je.rep.elections;

import com.sleepycat.je.utilint.StatDefinition;

/**
 * Per-stat Metadata for each Proposer statistics.
 */
public class ProposerStatDefinition {

    public static StatDefinition PHASE1_NO_QUORUM = 
        new StatDefinition
        ("phase1NoQuorum", 
         "Number of times Phase 1 ended with insufficient votes for a " +
         "quorum.");

    public static StatDefinition PHASE1_HIGHER_PROPOSAL = 
        new StatDefinition
        ("phase1HigherProposal", 
         "Number of times Phase 1 was terminated because one of the " +
         "Acceptor agents already had a higher numbered proposal.");

    public static StatDefinition PHASE2_NO_QUORUM = 
        new StatDefinition
        ("phase2NoQuorum", 
         "Number of times Phase 2 ended with insufficient votes for a " +
         "quorum.");

    public static StatDefinition PHASE2_HIGHER_PROPOSAL =
        new StatDefinition
        ("phase2HigherProposal", 
         "Number of times Phase 2 was terminated because one of the " + 
         "Acceptor agents already had a higher numbered proposal.");

    public static StatDefinition PROMISE_COUNT =
        new StatDefinition
        ("promiseCount", 
         "Number of promises made by Acceptors in phase 1.");
}
