/*-
 * See the file LICENSE for redistribution information.
 *
 * Copyright (c) 2002,2009 Oracle.  All rights reserved.
 *
 * $Id: RepJEStats.java,v 1.2 2009/11/03 16:58:23 linda Exp $
 */

package com.sleepycat.je.rep.jmx.plugin;

import java.util.HashMap;

import javax.management.MBeanServerConnection;

import com.sleepycat.je.jmx.plugin.Stats;

public class RepJEStats extends Stats {
    private static final long serialVersionUID = 4240112567440108407L;

    public RepJEStats(MBeanServerConnection connection) {
        super(connection);
    }

    @Override
    protected void initVariables() {
        statsTitles = new String[] { "FeederManager", "BinaryProtocol", 
            "Replay", "ConsistencyTracker" };
        opName = "getReplicationStats";
        mBeanNamePrefix = RepJEStatsPlugin.mBeanNamePrefix;
    }
   
    @SuppressWarnings("unchecked") 
    @Override
    protected void generateTips() {
        try {
            tips = (HashMap) connection.invoke
                (objName, "getRepTips", new Object[] {}, new String[] {});
            updateTips();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
