/*-
 * See the file LICENSE for redistribution information.
 *
 * Copyright (c) 2002-2009 Oracle.  All rights reserved.
 *
 * $Id: GroupChangeEvent.java,v 1.6 2009/06/19 04:07:35 linda Exp $
 */

/**
 * The event used to track changes to the composition and status of the
 * group. An instance of this event is created each time there is any change to
 * the group.
 */
package com.sleepycat.je.rep.monitor;

import com.sleepycat.je.rep.ReplicationGroup;

/**
 * The event generated when the group composition or status changes. A new
 * instance of this event is generated each time a node is added or removed
 * from the group.
 */
public class GroupChangeEvent extends MonitorChangeEvent {

    private final ReplicationGroup repGroup;

    GroupChangeEvent(ReplicationGroup repGroup) {
        this.repGroup = repGroup;
    }

    /**
     * @return the latest information about the replication group.
     */
    public ReplicationGroup getRepGroup() {
        return repGroup;
    }
}
