/*-
 * See the file LICENSE for redistribution information.
 *
 * Copyright (c) 2002-2009 Oracle.  All rights reserved.
 *
 * $Id: BinaryProtocolStatDefinition.java,v 1.1 2009/09/10 02:56:12 tao Exp $
 */

package com.sleepycat.je.rep.utilint;

import com.sleepycat.je.utilint.StatDefinition;

/**
 * Per-stat Metadata for each BinaryProtocol statistics.
 */
public class BinaryProtocolStatDefinition {

    public static StatDefinition N_READ_NANOS =
        new StatDefinition
        ("nReadNanos",
         "The number of nanoseconds spent reading from the network channel.");

    public static StatDefinition N_WRITE_NANOS =
        new StatDefinition
        ("nWriteNanos",
         "The number of nanoseconds spent writing to the network channel.");

    public static StatDefinition N_BYTES_READ =
        new StatDefinition
        ("nBytesRead",
         "The number of bytes of Replication Stream read over the network. " +
         "It does not include the TCP/IP overhead.");

    public static StatDefinition N_MESSAGES_READ =
        new StatDefinition
        ("nMessagesRead",
         "The number of Replication Stream messages read over the network.");

    public static StatDefinition N_BYTES_WRITTEN =
        new StatDefinition
        ("nBytesWritten", 
         "The number of Replication Stream bytes written over the network.");

    public static StatDefinition N_MESSAGES_WRITTEN =
        new StatDefinition
        ("nMessagesWritten", 
         "The number of Replication Stream messages written over the " +
         "network.");

    public static StatDefinition AVG_READ_NANOS = 
        new StatDefinition
        ("avgReadNanos", 
         "The average nanoseconds spent reading from the network channel.");

    public static StatDefinition AVG_WRITE_NANOS =
        new StatDefinition
        ("avgWriteNanos",
         "The average nanoseconds spent writing to the network channel.");
}
